#!/bin/sh
#
#  Installation shell script, read INSTALL for details
#

BINDEST=/usr/local/bin
DOCDEST=/usr/doc/dns2go-1.0
MANDEST=/usr/local/man

mkdir -p ${BINDEST} 2>/dev/null
cp dns2go.bsd ${BINDEST}/dns2go
chmod 755 ${BINDEST}/dns2go
mkdir -p ${MANDEST}/man1 2>/dev/null
cp dns2go.1 ${MANDEST}/man1
chmod 644 ${MANDEST}/man1/dns2go.1
mkdir -p ${MANDEST}/man5 2>/dev/null
cp dns2go.conf.5 ${MANDEST}/man5
chmod 644 ${MANDEST}/man5/dns2go.conf.5
mkdir -p ${DOCDEST} 2>/dev/null
cp README ${DOCDEST}
cp README ${DOCDEST}
cp INSTALL ${DOCDEST}
cp LICENSE ${DOCDEST}
mkdir -p /var/dns2go 2>/dev/null
touch /var/dns2go/status.dat
chmod 666 /var/dns2go/status.dat
